#276 [qwertee.com] - missing framework: hogan.js

Closed
opened 1 week ago by Xitario · 1 comments
Xitario commented 1 week ago

Qwertee is an online store for t-shirts that offers new designs every 24h. Normally there is a countdown at the top of the page. However, this countdown does not exist with LocalCDN because "Hogan.js" does not exist.

According to the source code https://cdnjs.cloudflare.com/ajax/libs/hogan.js/3.0.2/hogan.min.js is requested.
GitHub: https://github.com/twitter/hogan.js/

However, this library is almost 7 years old and far from up-to-date, moreover it seems to be something from Twitter itself. Not sure if this should be integrated.

Qwertee is an online store for t-shirts that offers new designs every 24h. Normally there is a countdown at the top of the page. However, this countdown does not exist with LocalCDN because "Hogan.js" does not exist. According to the source code https://cdnjs.cloudflare.com/ajax/libs/hogan.js/3.0.2/hogan.min.js is requested. GitHub: https://github.com/twitter/hogan.js/ However, this library is almost 7 years old and far from up-to-date, moreover it seems to be something from Twitter itself. Not sure if this should be integrated.
nobody referenced this issue from a commit 1 week ago
nobody added the
update framework
label 1 week ago
nobody added the
missing framework/mapping
label 1 week ago
nobody commented 1 week ago
Poster
Owner

However, this library is almost 7 years old and far from up-to-date, moreover it seems to be something from Twitter itself. Not sure if this should be integrated.

Yes that's indeed very old. I think it can be added because the library is not big and according to cdnjs.com (and snyk.io [1]) there are no vulnerabilities. I just see that the last tested version on snyk.io is version 1.0.2 🤔

I also updated underscore.js and now use the normal package instead of esm (the normal one is highlighted by default by cdnjs)

[1] https://snyk.io/vuln/npm:hogan

> However, this library is almost 7 years old and far from up-to-date, moreover it seems to be something from Twitter itself. Not sure if this should be integrated. Yes that's indeed very old. I think it can be added because the library is not big and ~~according to cdnjs.com (and snyk.io [1]) there are no vulnerabilities.~~ I just see that the last tested version on snyk.io is version 1.0.2 🤔 I also updated underscore.js and now use the normal package instead of `esm` (the normal one is highlighted by default by cdnjs) [1] https://snyk.io/vuln/npm:hogan
nobody added this to the v2.6.2 milestone 1 week ago
nobody closed this issue 1 week ago
Sign in to join this conversation.
No Milestone
No Assignees
2 Participants
Notifications
Due Date

No due date set.

Dependencies

This issue currently doesn't have any dependencies.

Loading…
There is no content yet.